%define major 1
%define libname %mklibname seat
%define devname %mklibname -d seat

Name:       seatd
Version:    0.8.0
Release:    %mkrel 1
Summary:    Seat management daemon and library
Group:      System/Libraries
License:    MIT
URL:        https://git.sr.ht/~kennylevinsen/seatd
# Source is in tar.gz originally
Source0:    https://git.sr.ht/~kennylevinsen/%{name}/archive/%{name}-%{version}.tar.xz
Source1:    %{name}.init

BuildRequires: scdoc
BuildRequires: meson
BuildRequires: pkgconfig

Requires: %{libname}

%description
A seat management daemon, that does everything it needs to do.
Nothing more, nothing less. Depends only on libc.

%package -n %{libname}
Summary:	Library files for %{name}
Group:		System/Libraries

%description -n %{libname}
A seat management library allowing applications to use whatever seat
management is available.

%package -n %{devname}
Summary:	Development files for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{devname} = %{version}-%{release}
Group:		Development/Libraries

%description -n %{devname}
Development files for %{name}.

%prep
%autosetup -p1

%build
%meson \
        -Dlibseat-logind=disabled \
        -Dlibseat-seatd=enabled \
        -Dlibseat-builtin=enabled \
        -Dman-pages=enabled \
        -Dexamples=disabled \
        -Dserver=enabled
%meson_build

%install
%meson_install
install -Dm 0755 %{SOURCE1} %{buildroot}%{_initddir}/%{name}

%post
# Add group
getent group seat > /dev/null || groupadd -r seat

# add users to seat group
SYSUSERS=$(grep [0-9][0-9][0-9]:.*/home /etc/passwd | grep -f /etc/shells | cut -d: -f1)
for idx in $SYSUSERS
do
usermod -a -G seat $idx >/dev/null 2>&1
done

%_post_service %{name}

echo "A reboot is recommended for seatd to start."

%preun
%_preun_service %{name}

%files
%{_bindir}/%{name}*
%doc %{_mandir}/man1/%{name}*.*
%{_initddir}/%{name}

%files -n %{libname}
%{_libdir}/libseat.so.%{major}*

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/libseat.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Wed Feb 14 2024 hunter0one <hunter2k1@disroot.org> 0.8.0-1pclos2024
- initial release for PCLinuxOS
